import{s as Xa,o as Ja,n as Ga}from"../chunks/scheduler.9bc65507.js";import{S as Qa,i as Ya,g as s,s as a,r as m,A as Za,h as l,f as r,c as o,j as v,u as p,x as d,k as _,y as t,a as i,v as c,d as g,t as f,w as u}from"../chunks/index.707bf1b6.js";import{T as Ra}from"../chunks/Tip.c2ecdbf4.js";import{D as C}from"../chunks/Docstring.570ddb64.js";import{H,E as eo}from"../chunks/EditOnGithub.922df6ba.js";function to(we){let h,q=`For best performance, this data collator should be used with a dataset having items that are dictionaries or
BatchEncoding, with the <code>&quot;special_tokens_mask&quot;</code> key, as returned by a <a href="/docs/transformers/pr_21167/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or a
<a href="/docs/transformers/pr_21167/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> with the argument <code>return_special_tokens_mask=True</code>.`;return{c(){h=s("p"),h.innerHTML=q},l($){h=l($,"P",{"data-svelte-h":!0}),d(h)!=="svelte-4huuu0"&&(h.innerHTML=q)},m($,E){i($,h,E)},p:Ga,d($){$&&r(h)}}}function ao(we){let h,q=`This collator relies on details of the implementation of subword tokenization by <a href="/docs/transformers/pr_21167/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>, specifically
that subword tokens are prefixed with <em>##</em>. For tokenizers that do not adhere to this scheme, this collator will
produce an output that is roughly equivalent to <code>.DataCollatorForLanguageModeling</code>.`;return{c(){h=s("p"),h.innerHTML=q},l($){h=l($,"P",{"data-svelte-h":!0}),d(h)!=="svelte-1ov1p8a"&&(h.innerHTML=q)},m($,E){i($,h,E)},p:Ga,d($){$&&r(h)}}}function oo(we){let h,q,$,E,G,at,X,_a=`Data collators are objects that will form a batch by using a list of dataset elements as input. These elements are of
the same type as the elements of <code>train_dataset</code> or <code>eval_dataset</code>.`,ot,J,ba=`To be able to build batches, data collators may apply some processing (like padding). Some of them (like
<a href="/docs/transformers/pr_21167/en/main_classes/data_collator#transformers.DataCollatorForLanguageModeling">DataCollatorForLanguageModeling</a>) also apply some random data augmentation (like random masking)
on the formed batch.`,rt,Q,va='Examples of use can be found in the <a href="../examples">example scripts</a> or <a href="../notebooks">example notebooks</a>.',nt,Y,st,y,Z,zt,Pe,$a=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,St,Fe,ka="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",It,Le,xa=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,lt,ee,it,T,te,Wt,qe,Ca=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,At,Me,Ta="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Ht,ze,Da=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,Et,Se,ya=`This is an object (like other data collators) rather than a pure function like default_data_collator. This can be
helpful if you need to set a return_tensors value at initialization.`,dt,ae,mt,I,oe,Vt,Ie,wa="Data collator that will dynamically pad the inputs received.",pt,re,ct,W,ne,jt,We,Pa="Data collator that will dynamically pad the inputs received, as well as the labels.",gt,se,ft,A,le,Nt,Ae,Fa="Data collator that will dynamically pad the inputs received, as well as the labels.",ut,ie,ht,k,de,Ot,He,La=`Data collator used for language modeling. Inputs are dynamically padded to the maximum length of a batch if they
are not all of the same length.`,Bt,V,Ut,j,me,Kt,Ee,qa="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Rt,N,pe,Gt,Ve,Ma="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Xt,O,ce,Jt,je,za="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",_t,ge,bt,b,fe,Qt,Ne,Sa="Data collator used for language modeling that masks entire words.",Yt,Oe,Ia="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for masked language modeling</li>",Zt,B,ea,U,ue,ta,Be,Wa=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,aa,K,he,oa,Ue,Aa=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,ra,R,_e,na,Ke,Ha=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,vt,be,$t,x,ve,sa,Re,Ea="Data collator used for permutation language modeling.",la,Ge,Va="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for permutation language modeling with procedures specific to XLNet</li>",ia,M,$e,da,Xe,ja="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ma,ke,Na=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,pa,z,xe,ca,Je,Oa="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ga,Ce,Ba=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,fa,S,Te,ua,Qe,Ua="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ha,De,Ka=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,kt,ye,xt,tt,Ct;return G=new H({props:{title:"Data Collator",local:"data-collator",headingTag:"h1"}}),Y=new H({props:{title:"Default data collator",local:"transformers.default_data_collator",headingTag:"h2"}}),Z=new C({props:{name:"transformers.default_data_collator",anchor:"transformers.default_data_collator",parameters:[{name:"features",val:": List"},{name:"return_tensors",val:" = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L74"}}),ee=new H({props:{title:"DefaultDataCollator",local:"transformers.DefaultDataCollator",headingTag:"h2"}}),te=new C({props:{name:"class transformers.DefaultDataCollator",anchor:"transformers.DefaultDataCollator",parameters:[{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DefaultDataCollator.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L99"}}),ae=new H({props:{title:"DataCollatorWithPadding",local:"transformers.DataCollatorWithPadding",headingTag:"h2"}}),oe=new C({props:{name:"class transformers.DataCollatorWithPadding",anchor:"transformers.DataCollatorWithPadding",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": Union = True"},{name:"max_length",val:": Optional = None"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorWithPadding.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21167/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_21167/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorWithPadding.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_21167/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorWithPadding.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorWithPadding.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorWithPadding.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L236"}}),re=new H({props:{title:"DataCollatorForTokenClassification",local:"transformers.DataCollatorForTokenClassification",headingTag:"h2"}}),ne=new C({props:{name:"class transformers.DataCollatorForTokenClassification",anchor:"transformers.DataCollatorForTokenClassification",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": Union = True"},{name:"max_length",val:": Optional = None"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForTokenClassification.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21167/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_21167/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForTokenClassification.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_21167/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForTokenClassification.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForTokenClassification.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForTokenClassification.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignore by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForTokenClassification.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L288"}}),se=new H({props:{title:"DataCollatorForSeq2Seq",local:"transformers.DataCollatorForSeq2Seq",headingTag:"h2"}}),le=new C({props:{name:"class transformers.DataCollatorForSeq2Seq",anchor:"transformers.DataCollatorForSeq2Seq",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"model",val:": Optional = None"},{name:"padding",val:": Union = True"},{name:"max_length",val:": Optional = None"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForSeq2Seq.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21167/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_21167/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForSeq2Seq.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21167/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that is being trained. If set and has the <em>prepare_decoder_input_ids_from_labels</em>, use it to
prepare the <em>decoder_input_ids</em></p>
<p>This is useful when using <em>label_smoothing</em> to avoid calculating loss twice.`,name:"model"},{anchor:"transformers.DataCollatorForSeq2Seq.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_21167/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForSeq2Seq.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForSeq2Seq.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForSeq2Seq.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignored by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForSeq2Seq.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L542"}}),ie=new H({props:{title:"DataCollatorForLanguageModeling",local:"transformers.DataCollatorForLanguageModeling",headingTag:"h2"}}),de=new C({props:{name:"class transformers.DataCollatorForLanguageModeling",anchor:"transformers.DataCollatorForLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForLanguageModeling.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21167/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_21167/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm",description:`<strong>mlm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use masked language modeling. If set to <code>False</code>, the labels are the same as the inputs
with the padding tokens ignored (by setting them to -100). Otherwise, the labels are -100 for non-masked
tokens and the value to predict for the masked token.`,name:"mlm"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm_probability",description:`<strong>mlm_probability</strong> (<code>float</code>, <em>optional</em>, defaults to 0.15) &#x2014;
The probability with which to (randomly) mask tokens in the input, when <code>mlm</code> is set to <code>True</code>.`,name:"mlm_probability"},{anchor:"transformers.DataCollatorForLanguageModeling.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForLanguageModeling.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L635"}}),V=new Ra({props:{$$slots:{default:[to]},$$scope:{ctx:we}}}),me=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"special_tokens_mask",val:": Optional = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L841"}}),pe=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"vocab_size",val:""},{name:"mask_token_id",val:""},{name:"special_tokens_mask",val:": Optional = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L688"}}),ce=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"special_tokens_mask",val:": Optional = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L784"}}),ge=new H({props:{title:"DataCollatorForWholeWordMask",local:"transformers.DataCollatorForWholeWordMask",headingTag:"h2"}}),fe=new C({props:{name:"class transformers.DataCollatorForWholeWordMask",anchor:"transformers.DataCollatorForWholeWordMask",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L879"}}),B=new Ra({props:{$$slots:{default:[ao]},$$scope:{ctx:we}}}),ue=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.numpy_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"mask_labels",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L1110"}}),he=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.tf_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"mask_labels",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L1068"}}),_e=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.torch_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"mask_labels",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L1028"}}),be=new H({props:{title:"DataCollatorForPermutationLanguageModeling",local:"transformers.DataCollatorForPermutationLanguageModeling",headingTag:"h2"}}),ve=new C({props:{name:"class transformers.DataCollatorForPermutationLanguageModeling",anchor:"transformers.DataCollatorForPermutationLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"plm_probability",val:": float = 0.16666666666666666"},{name:"max_span_length",val:": int = 5"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L1234"}}),$e=new C({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L1475"}}),xe=new C({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L1368"}}),Te=new C({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_21167/src/transformers/data/data_collator.py#L1269"}}),ye=new eo({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/main_classes/data_collator.md"}}),{c(){h=s("meta"),q=a(),$=s("p"),E=a(),m(G.$$.fragment),at=a(),X=s("p"),X.innerHTML=_a,ot=a(),J=s("p"),J.innerHTML=ba,rt=a(),Q=s("p"),Q.innerHTML=va,nt=a(),m(Y.$$.fragment),st=a(),y=s("div"),m(Z.$$.fragment),zt=a(),Pe=s("p"),Pe.textContent=$a,St=a(),Fe=s("ul"),Fe.innerHTML=ka,It=a(),Le=s("p"),Le.textContent=xa,lt=a(),m(ee.$$.fragment),it=a(),T=s("div"),m(te.$$.fragment),Wt=a(),qe=s("p"),qe.textContent=Ca,At=a(),Me=s("ul"),Me.innerHTML=Ta,Ht=a(),ze=s("p"),ze.textContent=Da,Et=a(),Se=s("p"),Se.textContent=ya,dt=a(),m(ae.$$.fragment),mt=a(),I=s("div"),m(oe.$$.fragment),Vt=a(),Ie=s("p"),Ie.textContent=wa,pt=a(),m(re.$$.fragment),ct=a(),W=s("div"),m(ne.$$.fragment),jt=a(),We=s("p"),We.textContent=Pa,gt=a(),m(se.$$.fragment),ft=a(),A=s("div"),m(le.$$.fragment),Nt=a(),Ae=s("p"),Ae.textContent=Fa,ut=a(),m(ie.$$.fragment),ht=a(),k=s("div"),m(de.$$.fragment),Ot=a(),He=s("p"),He.textContent=La,Bt=a(),m(V.$$.fragment),Ut=a(),j=s("div"),m(me.$$.fragment),Kt=a(),Ee=s("p"),Ee.textContent=qa,Rt=a(),N=s("div"),m(pe.$$.fragment),Gt=a(),Ve=s("p"),Ve.textContent=Ma,Xt=a(),O=s("div"),m(ce.$$.fragment),Jt=a(),je=s("p"),je.textContent=za,_t=a(),m(ge.$$.fragment),bt=a(),b=s("div"),m(fe.$$.fragment),Qt=a(),Ne=s("p"),Ne.textContent=Sa,Yt=a(),Oe=s("ul"),Oe.innerHTML=Ia,Zt=a(),m(B.$$.fragment),ea=a(),U=s("div"),m(ue.$$.fragment),ta=a(),Be=s("p"),Be.textContent=Wa,aa=a(),K=s("div"),m(he.$$.fragment),oa=a(),Ue=s("p"),Ue.textContent=Aa,ra=a(),R=s("div"),m(_e.$$.fragment),na=a(),Ke=s("p"),Ke.textContent=Ha,vt=a(),m(be.$$.fragment),$t=a(),x=s("div"),m(ve.$$.fragment),sa=a(),Re=s("p"),Re.textContent=Ea,la=a(),Ge=s("ul"),Ge.innerHTML=Va,ia=a(),M=s("div"),m($e.$$.fragment),da=a(),Xe=s("p"),Xe.textContent=ja,ma=a(),ke=s("ol"),ke.innerHTML=Na,pa=a(),z=s("div"),m(xe.$$.fragment),ca=a(),Je=s("p"),Je.textContent=Oa,ga=a(),Ce=s("ol"),Ce.innerHTML=Ba,fa=a(),S=s("div"),m(Te.$$.fragment),ua=a(),Qe=s("p"),Qe.textContent=Ua,ha=a(),De=s("ol"),De.innerHTML=Ka,kt=a(),m(ye.$$.fragment),xt=a(),tt=s("p"),this.h()},l(e){const n=Za("svelte-u9bgzb",document.head);h=l(n,"META",{name:!0,content:!0}),n.forEach(r),q=o(e),$=l(e,"P",{}),v($).forEach(r),E=o(e),p(G.$$.fragment,e),at=o(e),X=l(e,"P",{"data-svelte-h":!0}),d(X)!=="svelte-1kxfoc9"&&(X.innerHTML=_a),ot=o(e),J=l(e,"P",{"data-svelte-h":!0}),d(J)!=="svelte-1fk644l"&&(J.innerHTML=ba),rt=o(e),Q=l(e,"P",{"data-svelte-h":!0}),d(Q)!=="svelte-10kyi1a"&&(Q.innerHTML=va),nt=o(e),p(Y.$$.fragment,e),st=o(e),y=l(e,"DIV",{class:!0});var L=v(y);p(Z.$$.fragment,L),zt=o(L),Pe=l(L,"P",{"data-svelte-h":!0}),d(Pe)!=="svelte-1hmsgsg"&&(Pe.textContent=$a),St=o(L),Fe=l(L,"UL",{"data-svelte-h":!0}),d(Fe)!=="svelte-1pq8qks"&&(Fe.innerHTML=ka),It=o(L),Le=l(L,"P",{"data-svelte-h":!0}),d(Le)!=="svelte-1vi1gug"&&(Le.textContent=xa),L.forEach(r),lt=o(e),p(ee.$$.fragment,e),it=o(e),T=l(e,"DIV",{class:!0});var w=v(T);p(te.$$.fragment,w),Wt=o(w),qe=l(w,"P",{"data-svelte-h":!0}),d(qe)!=="svelte-1hmsgsg"&&(qe.textContent=Ca),At=o(w),Me=l(w,"UL",{"data-svelte-h":!0}),d(Me)!=="svelte-1pq8qks"&&(Me.innerHTML=Ta),Ht=o(w),ze=l(w,"P",{"data-svelte-h":!0}),d(ze)!=="svelte-1vi1gug"&&(ze.textContent=Da),Et=o(w),Se=l(w,"P",{"data-svelte-h":!0}),d(Se)!=="svelte-vfvbwr"&&(Se.textContent=ya),w.forEach(r),dt=o(e),p(ae.$$.fragment,e),mt=o(e),I=l(e,"DIV",{class:!0});var Tt=v(I);p(oe.$$.fragment,Tt),Vt=o(Tt),Ie=l(Tt,"P",{"data-svelte-h":!0}),d(Ie)!=="svelte-1iebpai"&&(Ie.textContent=wa),Tt.forEach(r),pt=o(e),p(re.$$.fragment,e),ct=o(e),W=l(e,"DIV",{class:!0});var Dt=v(W);p(ne.$$.fragment,Dt),jt=o(Dt),We=l(Dt,"P",{"data-svelte-h":!0}),d(We)!=="svelte-4uvw1w"&&(We.textContent=Pa),Dt.forEach(r),gt=o(e),p(se.$$.fragment,e),ft=o(e),A=l(e,"DIV",{class:!0});var yt=v(A);p(le.$$.fragment,yt),Nt=o(yt),Ae=l(yt,"P",{"data-svelte-h":!0}),d(Ae)!=="svelte-4uvw1w"&&(Ae.textContent=Fa),yt.forEach(r),ut=o(e),p(ie.$$.fragment,e),ht=o(e),k=l(e,"DIV",{class:!0});var P=v(k);p(de.$$.fragment,P),Ot=o(P),He=l(P,"P",{"data-svelte-h":!0}),d(He)!=="svelte-10km8jk"&&(He.textContent=La),Bt=o(P),p(V.$$.fragment,P),Ut=o(P),j=l(P,"DIV",{class:!0});var wt=v(j);p(me.$$.fragment,wt),Kt=o(wt),Ee=l(wt,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-iv4xqf"&&(Ee.textContent=qa),wt.forEach(r),Rt=o(P),N=l(P,"DIV",{class:!0});var Pt=v(N);p(pe.$$.fragment,Pt),Gt=o(Pt),Ve=l(Pt,"P",{"data-svelte-h":!0}),d(Ve)!=="svelte-iv4xqf"&&(Ve.textContent=Ma),Pt.forEach(r),Xt=o(P),O=l(P,"DIV",{class:!0});var Ft=v(O);p(ce.$$.fragment,Ft),Jt=o(Ft),je=l(Ft,"P",{"data-svelte-h":!0}),d(je)!=="svelte-iv4xqf"&&(je.textContent=za),Ft.forEach(r),P.forEach(r),_t=o(e),p(ge.$$.fragment,e),bt=o(e),b=l(e,"DIV",{class:!0});var D=v(b);p(fe.$$.fragment,D),Qt=o(D),Ne=l(D,"P",{"data-svelte-h":!0}),d(Ne)!=="svelte-sjqk55"&&(Ne.textContent=Sa),Yt=o(D),Oe=l(D,"UL",{"data-svelte-h":!0}),d(Oe)!=="svelte-d2ozxj"&&(Oe.innerHTML=Ia),Zt=o(D),p(B.$$.fragment,D),ea=o(D),U=l(D,"DIV",{class:!0});var Lt=v(U);p(ue.$$.fragment,Lt),ta=o(Lt),Be=l(Lt,"P",{"data-svelte-h":!0}),d(Be)!=="svelte-10msjh1"&&(Be.textContent=Wa),Lt.forEach(r),aa=o(D),K=l(D,"DIV",{class:!0});var qt=v(K);p(he.$$.fragment,qt),oa=o(qt),Ue=l(qt,"P",{"data-svelte-h":!0}),d(Ue)!=="svelte-10msjh1"&&(Ue.textContent=Aa),qt.forEach(r),ra=o(D),R=l(D,"DIV",{class:!0});var Mt=v(R);p(_e.$$.fragment,Mt),na=o(Mt),Ke=l(Mt,"P",{"data-svelte-h":!0}),d(Ke)!=="svelte-10msjh1"&&(Ke.textContent=Ha),Mt.forEach(r),D.forEach(r),vt=o(e),p(be.$$.fragment,e),$t=o(e),x=l(e,"DIV",{class:!0});var F=v(x);p(ve.$$.fragment,F),sa=o(F),Re=l(F,"P",{"data-svelte-h":!0}),d(Re)!=="svelte-12inif1"&&(Re.textContent=Ea),la=o(F),Ge=l(F,"UL",{"data-svelte-h":!0}),d(Ge)!=="svelte-1t4qh7k"&&(Ge.innerHTML=Va),ia=o(F),M=l(F,"DIV",{class:!0});var Ye=v(M);p($e.$$.fragment,Ye),da=o(Ye),Xe=l(Ye,"P",{"data-svelte-h":!0}),d(Xe)!=="svelte-1u70phx"&&(Xe.textContent=ja),ma=o(Ye),ke=l(Ye,"OL",{start:!0,"data-svelte-h":!0}),d(ke)!=="svelte-1r6jrbi"&&(ke.innerHTML=Na),Ye.forEach(r),pa=o(F),z=l(F,"DIV",{class:!0});var Ze=v(z);p(xe.$$.fragment,Ze),ca=o(Ze),Je=l(Ze,"P",{"data-svelte-h":!0}),d(Je)!=="svelte-1u70phx"&&(Je.textContent=Oa),ga=o(Ze),Ce=l(Ze,"OL",{start:!0,"data-svelte-h":!0}),d(Ce)!=="svelte-1r6jrbi"&&(Ce.innerHTML=Ba),Ze.forEach(r),fa=o(F),S=l(F,"DIV",{class:!0});var et=v(S);p(Te.$$.fragment,et),ua=o(et),Qe=l(et,"P",{"data-svelte-h":!0}),d(Qe)!=="svelte-1u70phx"&&(Qe.textContent=Ua),ha=o(et),De=l(et,"OL",{start:!0,"data-svelte-h":!0}),d(De)!=="svelte-1r6jrbi"&&(De.innerHTML=Ka),et.forEach(r),F.forEach(r),kt=o(e),p(ye.$$.fragment,e),xt=o(e),tt=l(e,"P",{}),v(tt).forEach(r),this.h()},h(){_(h,"name","hf:doc:metadata"),_(h,"content",ro),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ke,"start","0"),_(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Ce,"start","0"),_(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(De,"start","0"),_(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){t(document.head,h),i(e,q,n),i(e,$,n),i(e,E,n),c(G,e,n),i(e,at,n),i(e,X,n),i(e,ot,n),i(e,J,n),i(e,rt,n),i(e,Q,n),i(e,nt,n),c(Y,e,n),i(e,st,n),i(e,y,n),c(Z,y,null),t(y,zt),t(y,Pe),t(y,St),t(y,Fe),t(y,It),t(y,Le),i(e,lt,n),c(ee,e,n),i(e,it,n),i(e,T,n),c(te,T,null),t(T,Wt),t(T,qe),t(T,At),t(T,Me),t(T,Ht),t(T,ze),t(T,Et),t(T,Se),i(e,dt,n),c(ae,e,n),i(e,mt,n),i(e,I,n),c(oe,I,null),t(I,Vt),t(I,Ie),i(e,pt,n),c(re,e,n),i(e,ct,n),i(e,W,n),c(ne,W,null),t(W,jt),t(W,We),i(e,gt,n),c(se,e,n),i(e,ft,n),i(e,A,n),c(le,A,null),t(A,Nt),t(A,Ae),i(e,ut,n),c(ie,e,n),i(e,ht,n),i(e,k,n),c(de,k,null),t(k,Ot),t(k,He),t(k,Bt),c(V,k,null),t(k,Ut),t(k,j),c(me,j,null),t(j,Kt),t(j,Ee),t(k,Rt),t(k,N),c(pe,N,null),t(N,Gt),t(N,Ve),t(k,Xt),t(k,O),c(ce,O,null),t(O,Jt),t(O,je),i(e,_t,n),c(ge,e,n),i(e,bt,n),i(e,b,n),c(fe,b,null),t(b,Qt),t(b,Ne),t(b,Yt),t(b,Oe),t(b,Zt),c(B,b,null),t(b,ea),t(b,U),c(ue,U,null),t(U,ta),t(U,Be),t(b,aa),t(b,K),c(he,K,null),t(K,oa),t(K,Ue),t(b,ra),t(b,R),c(_e,R,null),t(R,na),t(R,Ke),i(e,vt,n),c(be,e,n),i(e,$t,n),i(e,x,n),c(ve,x,null),t(x,sa),t(x,Re),t(x,la),t(x,Ge),t(x,ia),t(x,M),c($e,M,null),t(M,da),t(M,Xe),t(M,ma),t(M,ke),t(x,pa),t(x,z),c(xe,z,null),t(z,ca),t(z,Je),t(z,ga),t(z,Ce),t(x,fa),t(x,S),c(Te,S,null),t(S,ua),t(S,Qe),t(S,ha),t(S,De),i(e,kt,n),c(ye,e,n),i(e,xt,n),i(e,tt,n),Ct=!0},p(e,[n]){const L={};n&2&&(L.$$scope={dirty:n,ctx:e}),V.$set(L);const w={};n&2&&(w.$$scope={dirty:n,ctx:e}),B.$set(w)},i(e){Ct||(g(G.$$.fragment,e),g(Y.$$.fragment,e),g(Z.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(ae.$$.fragment,e),g(oe.$$.fragment,e),g(re.$$.fragment,e),g(ne.$$.fragment,e),g(se.$$.fragment,e),g(le.$$.fragment,e),g(ie.$$.fragment,e),g(de.$$.fragment,e),g(V.$$.fragment,e),g(me.$$.fragment,e),g(pe.$$.fragment,e),g(ce.$$.fragment,e),g(ge.$$.fragment,e),g(fe.$$.fragment,e),g(B.$$.fragment,e),g(ue.$$.fragment,e),g(he.$$.fragment,e),g(_e.$$.fragment,e),g(be.$$.fragment,e),g(ve.$$.fragment,e),g($e.$$.fragment,e),g(xe.$$.fragment,e),g(Te.$$.fragment,e),g(ye.$$.fragment,e),Ct=!0)},o(e){f(G.$$.fragment,e),f(Y.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(ae.$$.fragment,e),f(oe.$$.fragment,e),f(re.$$.fragment,e),f(ne.$$.fragment,e),f(se.$$.fragment,e),f(le.$$.fragment,e),f(ie.$$.fragment,e),f(de.$$.fragment,e),f(V.$$.fragment,e),f(me.$$.fragment,e),f(pe.$$.fragment,e),f(ce.$$.fragment,e),f(ge.$$.fragment,e),f(fe.$$.fragment,e),f(B.$$.fragment,e),f(ue.$$.fragment,e),f(he.$$.fragment,e),f(_e.$$.fragment,e),f(be.$$.fragment,e),f(ve.$$.fragment,e),f($e.$$.fragment,e),f(xe.$$.fragment,e),f(Te.$$.fragment,e),f(ye.$$.fragment,e),Ct=!1},d(e){e&&(r(q),r($),r(E),r(at),r(X),r(ot),r(J),r(rt),r(Q),r(nt),r(st),r(y),r(lt),r(it),r(T),r(dt),r(mt),r(I),r(pt),r(ct),r(W),r(gt),r(ft),r(A),r(ut),r(ht),r(k),r(_t),r(bt),r(b),r(vt),r($t),r(x),r(kt),r(xt),r(tt)),r(h),u(G,e),u(Y,e),u(Z),u(ee,e),u(te),u(ae,e),u(oe),u(re,e),u(ne),u(se,e),u(le),u(ie,e),u(de),u(V),u(me),u(pe),u(ce),u(ge,e),u(fe),u(B),u(ue),u(he),u(_e),u(be,e),u(ve),u($e),u(xe),u(Te),u(ye,e)}}}const ro='{"title":"Data Collator","local":"data-collator","sections":[{"title":"Default data collator","local":"transformers.default_data_collator","sections":[],"depth":2},{"title":"DefaultDataCollator","local":"transformers.DefaultDataCollator","sections":[],"depth":2},{"title":"DataCollatorWithPadding","local":"transformers.DataCollatorWithPadding","sections":[],"depth":2},{"title":"DataCollatorForTokenClassification","local":"transformers.DataCollatorForTokenClassification","sections":[],"depth":2},{"title":"DataCollatorForSeq2Seq","local":"transformers.DataCollatorForSeq2Seq","sections":[],"depth":2},{"title":"DataCollatorForLanguageModeling","local":"transformers.DataCollatorForLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorForWholeWordMask","local":"transformers.DataCollatorForWholeWordMask","sections":[],"depth":2},{"title":"DataCollatorForPermutationLanguageModeling","local":"transformers.DataCollatorForPermutationLanguageModeling","sections":[],"depth":2}],"depth":1}';function no(we){return Ja(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class co extends Qa{constructor(h){super(),Ya(this,h,no,oo,Xa,{})}}export{co as component};
