import{s as mt,n as ft,o as ht}from"../chunks/scheduler.9991993c.js";import{S as _t,i as st,g as l,s as r,r as R,A as pt,h as c,f as d,c as a,j as ot,u as S,x as i,k as Q,y as Tt,a as n,v as B,d as A,t as C,w as V}from"../chunks/index.7fc9a5e7.js";import{H as Y,E as ut}from"../chunks/EditOnGithub.84ab7f0e.js";function vt(Z){let g,$,E,y,m,N,f,tt='为 <a href="https://pytorch.org/" rel="nofollow">PyTorch</a>、<a href="https://www.tensorflow.org/" rel="nofollow">TensorFlow</a> 和 <a href="https://jax.readthedocs.io/en/latest/" rel="nofollow">JAX</a> 打造的先进的机器学习工具.',D,h,et="🤗 Transformers 提供了可以轻松地下载并且训练先进的预训练模型的 API 和工具。使用预训练模型可以减少计算消耗和碳排放，并且节省从头训练所需要的时间和资源。这些模型支持不同模态中的常见任务，比如：",F,_,dt=`📝 <strong>自然语言处理</strong>：文本分类、命名实体识别、问答、语言建模、摘要、翻译、多项选择和文本生成。<br/>
🖼️ <strong>机器视觉</strong>：图像分类、目标检测和语义分割。<br/>
🗣️ <strong>音频</strong>：自动语音识别和音频分类。<br/>
🐙 <strong>多模态</strong>：表格问答、光学字符识别、从扫描文档提取信息、视频分类和视觉问答。`,G,s,nt="🤗 Transformers 支持在 PyTorch、TensorFlow 和 JAX 上的互操作性. 这给在模型的每个阶段使用不同的框架带来了灵活性；在一个框架中使用几行代码训练一个模型，然后在另一个框架中加载它并进行推理。模型也可以被导出为 ONNX 和 TorchScript 格式，用于在生产环境中部署。",k,p,rt='马上加入在 <a href="https://huggingface.co/models" rel="nofollow">Hub</a>、<a href="https://discuss.huggingface.co/" rel="nofollow">论坛</a> 或者 <a href="https://discord.com/invite/JfAtkvEtRb" rel="nofollow">Discord</a> 上正在快速发展的社区吧！',I,T,X,o,at='<img alt="HuggingFace Expert Acceleration Program" src="https://cdn-media.huggingface.co/marketing/transformers/new-support-improved.png" style="width: 100%; max-width: 600px; border: 1px solid #eee; border-radius: 4px; box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);"/>',O,u,H,v,lt="这篇文档由以下 5 个章节组成：",z,b,ct="<li><p><strong>开始使用</strong> 包含了库的快速上手和安装说明，便于配置和运行。</p></li> <li><p><strong>教程</strong> 是一个初学者开始的好地方。本章节将帮助你获得你会用到的使用这个库的基本技能。</p></li> <li><p><strong>操作指南</strong> 向你展示如何实现一个特定目标，比如为语言建模微调一个预训练模型或者如何创造并分享个性化模型。</p></li> <li><p><strong>概念指南</strong> 对 🤗 Transformers 的模型，任务和设计理念背后的基本概念和思想做了更多的讨论和解释。</p></li> <li><p><strong>API 介绍</strong> 描述了所有的类和函数：</p> <ul><li><strong>主要类别</strong> 详述了配置（configuration）、模型（model）、分词器（tokenizer）和流水线（pipeline）这几个最重要的类。</li> <li><strong>模型</strong> 详述了在这个库中和每个模型实现有关的类和函数。</li> <li><strong>内部帮助</strong> 详述了内部使用的工具类和函数。</li></ul></li>",U,L,W,P,it="下表展示了库中对每个模型的支持情况，如是否具有 Python 分词器（表中的“Tokenizer slow”）、是否具有由 🤗 Tokenizers 库支持的快速分词器（表中的“Tokenizer fast”）、是否支持 Jax（通过 Flax）、PyTorch 与 TensorFlow。",j,M,gt='<thead><tr><th align="center">模型</th> <th align="center">PyTorch 支持</th> <th align="center">TensorFlow 支持</th> <th align="center">Flax 支持</th></tr></thead> <tbody><tr><td align="center"><a href="../en/model_doc/albert.md">ALBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/align.md">ALIGN</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/altclip">AltCLIP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/audio-spectrogram-transformer">Audio Spectrogram Transformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/autoformer">Autoformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/bark">Bark</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/bart">BART</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/barthez">BARThez</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/bartpho">BARTpho</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/beit">BEiT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/bert">BERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/bert-generation">Bert Generation</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/bert-japanese">BertJapanese</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/bertweet">BERTweet</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/big_bird">BigBird</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/bigbird_pegasus">BigBird-Pegasus</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/biogpt">BioGpt</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/bit">BiT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/blenderbot">Blenderbot</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/blenderbot-small">BlenderbotSmall</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/blip">BLIP</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/blip-2">BLIP-2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/bloom">BLOOM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/bort">BORT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/bridgetower">BridgeTower</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/bros">BROS</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/byt5">ByT5</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/camembert">CamemBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/canine">CANINE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/chinese_clip">Chinese-CLIP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/clap">CLAP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/clip">CLIP</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/clipseg">CLIPSeg</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/clvp">CLVP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/codegen">CodeGen</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/code_llama">CodeLlama</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/conditional_detr">Conditional DETR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/convbert">ConvBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/convnext">ConvNeXT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/convnextv2">ConvNeXTV2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/cpm">CPM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/cpmant">CPM-Ant</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/ctrl">CTRL</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/cvt">CvT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/data2vec">Data2VecAudio</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/data2vec">Data2VecText</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/data2vec">Data2VecVision</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/deberta">DeBERTa</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/deberta-v2">DeBERTa-v2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/decision_transformer">Decision Transformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/deformable_detr">Deformable DETR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/deit">DeiT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/deplot">DePlot</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/depth_anything">Depth Anything</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/deta">DETA</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/detr">DETR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/dialogpt">DialoGPT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/dinat">DiNAT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/dinov2">DINOv2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/distilbert">DistilBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/dit">DiT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/donut">DonutSwin</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/dpr">DPR</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/dpt">DPT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/efficientformer">EfficientFormer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/efficientnet">EfficientNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/electra">ELECTRA</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/encodec">EnCodec</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/encoder-decoder">Encoder decoder</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/ernie">ERNIE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/ernie_m">ErnieM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/esm">ESM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/fsmt">FairSeq Machine-Translation</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/falcon">Falcon</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/fastspeech2_conformer">FastSpeech2Conformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/flan-t5">FLAN-T5</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/flan-ul2">FLAN-UL2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/flaubert">FlauBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/flava">FLAVA</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/fnet">FNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/focalnet">FocalNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/funnel">Funnel Transformer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/fuyu">Fuyu</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/gemma">Gemma</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/git">GIT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/glpn">GLPN</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/gpt_neo">GPT Neo</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/gpt_neox">GPT NeoX</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/gpt_neox_japanese">GPT NeoX Japanese</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/gptj">GPT-J</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/gpt-sw3">GPT-Sw3</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/gpt_bigcode">GPTBigCode</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/gptsan-japanese">GPTSAN-japanese</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/graphormer">Graphormer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/groupvit">GroupViT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/herbert">HerBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/hubert">Hubert</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/ibert">I-BERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/idefics">IDEFICS</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/imagegpt">ImageGPT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/informer">Informer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/instructblip">InstructBLIP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/jukebox">Jukebox</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/kosmos-2">KOSMOS-2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/layoutlm">LayoutLM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/layoutlmv2">LayoutLMv2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/layoutlmv3">LayoutLMv3</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/layoutxlm">LayoutXLM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/led">LED</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/levit">LeViT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/lilt">LiLT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/llama">LLaMA</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/llama2">Llama2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/llava">LLaVa</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/longformer">Longformer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/longt5">LongT5</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/luke">LUKE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/lxmert">LXMERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mctct">M-CTC-T</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/m2m_100">M2M100</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/madlad-400">MADLAD-400</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/marian">Marian</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/markuplm">MarkupLM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mask2former">Mask2Former</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/maskformer">MaskFormer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/matcha">MatCha</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mbart">mBART</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/mbart50">mBART-50</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/mega">MEGA</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/megatron-bert">Megatron-BERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/megatron_gpt2">Megatron-GPT2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/mgp-str">MGP-STR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mistral">Mistral</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/mixtral">Mixtral</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mluke">mLUKE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mms">MMS</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/mobilebert">MobileBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mobilenet_v1">MobileNetV1</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mobilenet_v2">MobileNetV2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mobilevit">MobileViT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mobilevitv2">MobileViTV2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mpnet">MPNet</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mpt">MPT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mra">MRA</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mt5">MT5</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/musicgen">MusicGen</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/mvp">MVP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/nat">NAT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/nezha">Nezha</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/nllb">NLLB</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/nllb-moe">NLLB-MOE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/nougat">Nougat</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/nystromformer">Nyströmformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/oneformer">OneFormer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/openai-gpt">OpenAI GPT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/gpt2">OpenAI GPT-2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/open-llama">OpenLlama</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/opt">OPT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/owlvit">OWL-ViT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/owlv2">OWLv2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/patchtsmixer">PatchTSMixer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/patchtst">PatchTST</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/pegasus">Pegasus</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/pegasus_x">PEGASUS-X</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/perceiver">Perceiver</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/persimmon">Persimmon</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/phi">Phi</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/phobert">PhoBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/pix2struct">Pix2Struct</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/plbart">PLBart</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/poolformer">PoolFormer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/pop2piano">Pop2Piano</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/prophetnet">ProphetNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/pvt">PVT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/qdqbert">QDQBert</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/qwen2">Qwen2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/rag">RAG</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/realm">REALM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/reformer">Reformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/regnet">RegNet</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/rembert">RemBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/resnet">ResNet</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/retribert">RetriBERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/roberta">RoBERTa</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/roberta-prelayernorm">RoBERTa-PreLayerNorm</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/roc_bert">RoCBert</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/roformer">RoFormer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/rwkv">RWKV</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/sam">SAM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/seamless_m4t">SeamlessM4T</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/seamless_m4t_v2">SeamlessM4Tv2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/segformer">SegFormer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/seggpt">SegGPT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/sew">SEW</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/sew-d">SEW-D</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/siglip">SigLIP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/speech-encoder-decoder">Speech Encoder decoder</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/speech_to_text">Speech2Text</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/speecht5">SpeechT5</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/splinter">Splinter</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/squeezebert">SqueezeBERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/stablelm">StableLm</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/starcoder2">Starcoder2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/swiftformer">SwiftFormer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/swin">Swin Transformer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/swinv2">Swin Transformer V2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/swin2sr">Swin2SR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/switch_transformers">SwitchTransformers</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/t5">T5</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/t5v1.1">T5v1.1</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/table-transformer">Table Transformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/tapas">TAPAS</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/tapex">TAPEX</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/time_series_transformer">Time Series Transformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/timesformer">TimeSformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/trajectory_transformer">Trajectory Transformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/transfo-xl">Transformer-XL</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/trocr">TrOCR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/tvlt">TVLT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/tvp">TVP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/ul2">UL2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/umt5">UMT5</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/unispeech">UniSpeech</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/unispeech-sat">UniSpeechSat</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/univnet">UnivNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/upernet">UPerNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/van">VAN</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/videomae">VideoMAE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/vilt">ViLT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/vipllava">VipLlava</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/vision-encoder-decoder">Vision Encoder decoder</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/vision-text-dual-encoder">VisionTextDualEncoder</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/visual_bert">VisualBERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/vit">ViT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/vit_hybrid">ViT Hybrid</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/vitdet">VitDet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/vit_mae">ViTMAE</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/vitmatte">ViTMatte</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/vit_msn">ViTMSN</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/vits">VITS</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/vivit">ViViT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/wav2vec2">Wav2Vec2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/wav2vec2-bert">Wav2Vec2-BERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/wav2vec2-conformer">Wav2Vec2-Conformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/wav2vec2_phoneme">Wav2Vec2Phoneme</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/wavlm">WavLM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/whisper">Whisper</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/xclip">X-CLIP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/xmod">X-MOD</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/xglm">XGLM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/xlm">XLM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/xlm-prophetnet">XLM-ProphetNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/xlm-roberta">XLM-RoBERTa</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/xlm-roberta-xl">XLM-RoBERTa-XL</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/xlm-v">XLM-V</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/xlnet">XLNet</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/xls_r">XLS-R</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/xlsr_wav2vec2">XLSR-Wav2Vec2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="../en/model_doc/yolos">YOLOS</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="../en/model_doc/yoso">YOSO</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr></tbody>',J,x,q,w,K;return m=new Y({props:{title:"🤗 Transformers简介",local:"-transformers简介",headingTag:"h1"}}),T=new Y({props:{title:"如果你需要来自 Hugging Face 团队的个性化支持",local:"如果你需要来自-hugging-face-团队的个性化支持",headingTag:"h2"}}),u=new Y({props:{title:"目录",local:"目录",headingTag:"h2"}}),L=new Y({props:{title:"支持的模型和框架",local:"支持的模型和框架",headingTag:"h3"}}),x=new ut({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/zh/index.md"}}),{c(){g=l("meta"),$=r(),E=l("p"),y=r(),R(m.$$.fragment),N=r(),f=l("p"),f.innerHTML=tt,D=r(),h=l("p"),h.textContent=et,F=r(),_=l("p"),_.innerHTML=dt,G=r(),s=l("p"),s.textContent=nt,k=r(),p=l("p"),p.innerHTML=rt,I=r(),R(T.$$.fragment),X=r(),o=l("a"),o.innerHTML=at,O=r(),R(u.$$.fragment),H=r(),v=l("p"),v.textContent=lt,z=r(),b=l("ul"),b.innerHTML=ct,U=r(),R(L.$$.fragment),W=r(),P=l("p"),P.textContent=it,j=r(),M=l("table"),M.innerHTML=gt,J=r(),R(x.$$.fragment),q=r(),w=l("p"),this.h()},l(t){const e=pt("svelte-u9bgzb",document.head);g=c(e,"META",{name:!0,content:!0}),e.forEach(d),$=a(t),E=c(t,"P",{}),ot(E).forEach(d),y=a(t),S(m.$$.fragment,t),N=a(t),f=c(t,"P",{"data-svelte-h":!0}),i(f)!=="svelte-1gw0dj3"&&(f.innerHTML=tt),D=a(t),h=c(t,"P",{"data-svelte-h":!0}),i(h)!=="svelte-blsz7w"&&(h.textContent=et),F=a(t),_=c(t,"P",{"data-svelte-h":!0}),i(_)!=="svelte-1rbke99"&&(_.innerHTML=dt),G=a(t),s=c(t,"P",{"data-svelte-h":!0}),i(s)!=="svelte-13ckmt2"&&(s.textContent=nt),k=a(t),p=c(t,"P",{"data-svelte-h":!0}),i(p)!=="svelte-17a9m6p"&&(p.innerHTML=rt),I=a(t),S(T.$$.fragment,t),X=a(t),o=c(t,"A",{target:!0,href:!0,"data-svelte-h":!0}),i(o)!=="svelte-16714py"&&(o.innerHTML=at),O=a(t),S(u.$$.fragment,t),H=a(t),v=c(t,"P",{"data-svelte-h":!0}),i(v)!=="svelte-s0a534"&&(v.textContent=lt),z=a(t),b=c(t,"UL",{"data-svelte-h":!0}),i(b)!=="svelte-dyko3s"&&(b.innerHTML=ct),U=a(t),S(L.$$.fragment,t),W=a(t),P=c(t,"P",{"data-svelte-h":!0}),i(P)!=="svelte-d5464a"&&(P.textContent=it),j=a(t),M=c(t,"TABLE",{"data-svelte-h":!0}),i(M)!=="svelte-11rv4hd"&&(M.innerHTML=gt),J=a(t),S(x.$$.fragment,t),q=a(t),w=c(t,"P",{}),ot(w).forEach(d),this.h()},h(){Q(g,"name","hf:doc:metadata"),Q(g,"content",bt),Q(o,"target","_blank"),Q(o,"href","https://huggingface.co/support")},m(t,e){Tt(document.head,g),n(t,$,e),n(t,E,e),n(t,y,e),B(m,t,e),n(t,N,e),n(t,f,e),n(t,D,e),n(t,h,e),n(t,F,e),n(t,_,e),n(t,G,e),n(t,s,e),n(t,k,e),n(t,p,e),n(t,I,e),B(T,t,e),n(t,X,e),n(t,o,e),n(t,O,e),B(u,t,e),n(t,H,e),n(t,v,e),n(t,z,e),n(t,b,e),n(t,U,e),B(L,t,e),n(t,W,e),n(t,P,e),n(t,j,e),n(t,M,e),n(t,J,e),B(x,t,e),n(t,q,e),n(t,w,e),K=!0},p:ft,i(t){K||(A(m.$$.fragment,t),A(T.$$.fragment,t),A(u.$$.fragment,t),A(L.$$.fragment,t),A(x.$$.fragment,t),K=!0)},o(t){C(m.$$.fragment,t),C(T.$$.fragment,t),C(u.$$.fragment,t),C(L.$$.fragment,t),C(x.$$.fragment,t),K=!1},d(t){t&&(d($),d(E),d(y),d(N),d(f),d(D),d(h),d(F),d(_),d(G),d(s),d(k),d(p),d(I),d(X),d(o),d(O),d(H),d(v),d(z),d(b),d(U),d(W),d(P),d(j),d(M),d(J),d(q),d(w)),d(g),V(m,t),V(T,t),V(u,t),V(L,t),V(x,t)}}}const bt='{"title":"🤗 Transformers简介","local":"-transformers简介","sections":[{"title":"如果你需要来自 Hugging Face 团队的个性化支持","local":"如果你需要来自-hugging-face-团队的个性化支持","sections":[],"depth":2},{"title":"目录","local":"目录","sections":[{"title":"支持的模型和框架","local":"支持的模型和框架","sections":[],"depth":3}],"depth":2}],"depth":1}';function Lt(Z){return ht(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Et extends _t{constructor(g){super(),st(this,g,Lt,vt,mt,{})}}export{Et as component};
